import recordtype

class Gene(recordtype.recordtype('Gene',[
        'hgnc', 'summary', 'description', 'maploc', 'chrom'])):
    pass

class Transcript(recordtype.recordtype('Transcript',[
        'gene', 'ac', 'cds_start_i', 'cds_end_i', 'sequence', 'exons'])):
    pass

class TranscriptAlignment(recordtype.recordtype('TranscriptAlignment',[
        'ref_ac', 'tgt_ac', 'exon_alignments' ])):
    pass

class ExonAlignment(recordtype.recordtype('ExonAlignment',[
        'ord','name','ref_start_i','ref_end_i','tgt_start_i','tgt_end_i','cigar'])):
    pass

## <LICENSE>
## Copyright 2014 BDI Contributors (https://bitbucket.org/invitae/bdi)
## 
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
## 
##     http://www.apache.org/licenses/LICENSE-2.0
## 
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
## </LICENSE>
